 <!-- Search 
		============================================= -->
		<section id="searchsection">
			
                        <!-- Flat Surface Shader effect -->	
                        <div id="container">
                            <div id="output"></div>
                        </div>
                        
                        <div id="searchsectioncontent">
                              <?php if( $isENG ) { ?>
                            <div class="searchsectioncontent-div-left searchsectioncontent-div searchsectioncontent-div-en">
                                 <?php } else { ?>
                            <div class="searchsectioncontent-div-left searchsectioncontent-div">
                                <?php }?>   
                                 <?php if( $isENG ) { ?>
                                 	<h3>About Chengdu IFS</h3>
    							<p>
    							    Chengdu IFS (Chengdu International Finance Square), one of China’s elite urban complexes, stands on the most coveted location within the Chunxi Road’s core business district in the heart of Chengdu, at the intersection of the city’s two main bustling arteries: Hongxing Road and Dacisi Road. With overall gross floor area exceeding 760,000 square meters, Chengdu IFS, a landmark development, consists of a flagship shopping mall (210,000 square meters), premium Grade-A office buildings (275,000 square meters), Niccolo Hotel (about 230 rooms and suites), and IFS Residences (76,000 square meters).
    							</p>
    							<?php } else { ?>
    						<img src="<?php echo get_template_directory_uri(); ?>/effects/images/homepage/title-CDIFS-intro.svg">
    							<p>
    							    成都 IFS (全称：成都国际金融中心)，位于春熙路都市级商圈的核心位置，为两条繁华主干道红星路及大慈寺路的交汇处，是国内首屈一指的城市综合体标杆，总建筑面积逾 76 万平方米，包含 21 万平方米的旗舰购物中心，27.5 万平方米的超甲级办公楼，拥有约 230 间客房的尼依格罗 (Niccolo) 酒店，以及 7.6 万平方米的国金豪庭服务式公寓。
    							</p>
    							
    							<?php }?>
    							<p>
    							    
    							     <?php if( $isENG ) { ?>
    							     <div class="btn-round2 btn-round2-en">
						        <a  href="/about-ifs-en">More</a>
						    <?php } else { ?>
						    <div class="btn-round2">
						        <a  href="/about-ifs">了解更多</a>
						    <?php }?>
    							    
    							    </div>
    							</p>
                            </div>
                            
                            <div class="searchsectioncontent-div-right searchsectioncontent-div">
                             
                                <div class="search-group">
                                    <div id="search-field">
                                <form action="">
                                  <input type="text" id="searchhere" name="searchhere" placeholder="I am SEARCHING Here ..." size="30" maxlength="30">
                                </form>
                                </div>
                                <div id="search-icon">
                                    <a href="#" id="search-btn" class=""></a>
                                </div>
                                    
                                </div>
                                
                            </div>     
    						 
                            
     
    						 
                                	<!--<img width=100% height=600 src="<?php echo get_template_directory_uri(); ?>/images/blank.png" style="opacity:0">	-->						
    							
                            
                        </div>
                                                
			
		</section>		
		
		
		<script>
		    
		    
		    document.getElementById("search-btn").addEventListener('click', function(e) {
		        e.preventDefault();
		        console.log( "pressed");
                //console.log('The value is now ' +  e.data ); 
                //console.log( e ) ;
                //console.log( document.getElementById("myInput").value ) ;
                
                var myevent = new InputEvent('input',{
                    data: document.getElementById("searchhere").value
                });
                
                $("#search_box").show();
                
                document.getElementById("search_text").value = document.getElementById("searchhere").value;
                document.getElementById("search_text").dispatchEvent(myevent);
                
            });
		</script>
		
		
		<style>
		.search-group{
		    position:relative;
		    display: flex;
    flex-wrap: nowrap;
    flex-direction: row;
    align-content: center;
    align-items: center;
    justify-content: space-between;
    
            /*
            border-bottom-style: dashed;
            border-top-style: none;
            border-left-style: none;
            border-right-style: none;
            */
            /*border-color: #ac9d80;*/
            /*border-color: #88888a;*/
            /*background-color:transparent;*/
            background: transparent url(<?php echo get_template_directory_uri(); ?>/effects/images/homepage/search-dot-line.svg) left bottom repeat-x;
		}
		
		#search-field form {
		    padding: 0px;
		    margin:0px;
		}
		
		#searchhere
		{
		    /*border-bottom-style: dotted;
            border-top-style: none;
            border-left-style: none;
            border-right-style: none;*/
            border:none;
		    background-color: transparent;
            /*font-weight: 600;*/
            color: #ac9d80;
            border-color: #ac9d80;
            font-size: 30px;
            width: 100%;
            font-family: "HelveticaNeue-BOLD", source-han-sans-simplified-c, source-han-sans-simplified-c, Arial, sans-serif;
		}
		
		#searchhere::placeholder { /* Chrome, Firefox, Opera, Safari 10.1+ */
  color: #ac9d80;
  opacity: 1; /* Firefox */
  font-family: "HelveticaNeue-BOLD", source-han-sans-simplified-c, source-han-sans-simplified-c, Arial, sans-serif;
}

#searchhere::-ms-input-placeholder { /* Internet Explorer 10-11 */
  color: #ac9d80;
  font-family: "HelveticaNeue-BOLD", source-han-sans-simplified-c, source-han-sans-simplified-c, Arial, sans-serif;
}

#searchhere::-ms-input-placeholder { /* Microsoft Edge */
  color: #ac9d80;
  font-family: "HelveticaNeue-BOLD", source-han-sans-simplified-c, source-han-sans-simplified-c, Arial, sans-serif;
}
		
		#container {
		    width:100%;
            position: absolute;
            top: 0;
            left: 0;
		}
		
		#output {
		    position: relative;
            width: 100%;
            /*height: 600px;*/
            height: 100%;
            top: 0;
		}
		
		#output canvas {
		    position: relative;
          /*  background-color: #27272a; */
           /*background-color: black;*/
           background-color: #27262b;
           height: 100%;
           width: 100%;
		}
		
		#searchsection {
		    position:relative;
		    background-color: #27262b;
		    
		}
		#searchsectioncontent{
		    z-index:3;
		    position: relative;
		    display: flex;
            flex-direction: row;
		}
		.searchsectioncontent-div-left{
		    padding: 100px 50px 100px 100px;
		    width: 50%;
		    margin: auto 0;
		   
		}
		.searchsectioncontent-div-right{
		    /*padding: 100px;*/
		    padding: 65px 100px 100px;
		    width: 50%;
		    margin: auto 0;
		   
		}
		.searchsectioncontent-div p
		{
		     color: white;
		     /*font-size:14px;*/
		     font-size:16px;
		}
		.searchsectioncontent-div img{
		    padding-bottom:20px;
		}
		
		/*.searchsectioncontent-div .btn-search{*/
		#search-btn{
		    background: url(<?php echo get_template_directory_uri(); ?>/effects/images/homepage/intro-search-icon.svg) left top no-repeat;
            display: block;
            height: 27px;
            /*margin: 8px 0 7px;*/
            width: 27px;
            transition: none;
            /*position: absolute;*/
            top: calc(50% - 14px);
            /*right: 40px;*/
            margin-right: 8px;
            transition: all 500ms linear 0s;
		}
		


        #search-btn:hover{
            filter: brightness(180%);
        }
        
        
        @media (max-width: 480px)
        {
            
            #searchsection {
                padding: 20px 30px;
            }
            #searchhere {
                font-size: 20px;
            }
            	#searchhere::placeholder { /* Chrome, Firefox, Opera, Safari 10.1+ */
                    font-size: 20px;
            	}

#searchhere::-ms-input-placeholder { /* Internet Explorer 10-11 */
font-size: 20px;
    
}

#searchhere::-ms-input-placeholder { /* Microsoft Edge */
  font-size: 20px;
    
}

		.searchsectioncontent-div-en p{
		 text-align:left;   
		}


        }
</style>


<!--http://cdifs2021.sharpmotion.com.hk/zh/ffs-effect?mav=333333&mdv=444444&av=333333&dv=aaaaaa-->
<!--https://cdifs2021.sharpmotion.com.hk/zh/ffs-effect?mav=2f2e33&mdv=27262b&av=2f2e33&dv=27262b-->
<!--https://cdifs2021.sharpmotion.com.hk/zh/ffs-effect?mav=656667&mdv=27262b&av=212122&dv=27262b-->
<?php
/*
if ( $_GET['mav'] ) 
    $mav = $_GET['mav'];
    else
    $mav = '333333';

if ( $_GET['mdv'] ) 
    $mdv = $_GET['mdv'];
    else
    $mdv = '444444';

if ( $_GET['av'] ) 
    $av = $_GET['av'];
    else
    $av = '333333';

if ( $_GET['dv'] ) 
    $dv = $_GET['dv'];
    else
    $dv = 'aaaaaa';
*/


$mav = '656667';
$mdv = '27262b';
$av = '212122';
$dv = '27262b';

?>
<script>
    // MESH Shader colors //
         var MESH_ambient_value = "#<?php echo $mav;?>";
	     var MESH_diffuse_value = "#<?php echo $mdv;?>"; 
    
    // Flat Surface Shader colors //
	     var ambient_value = "#<?php echo $av;?>";
	     var diffuse_value = "#<?php echo $dv?>"; 
</script>

	
	<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/effects/js/fss.js"></script> 
	<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/effects/js/custom-fss.js"></script>
	